#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "KillerProjectileAbilityInterface.generated.h"

UINTERFACE(Blueprintable)
class DBDGAMEPLAY_API UKillerProjectileAbilityInterface : public UInterface
{
	GENERATED_BODY()
};

class DBDGAMEPLAY_API IKillerProjectileAbilityInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_SetProjectileVisibility(const bool visible);

};
